
  
  namespace login
  {
      /// <summary>
      /// WebForm1 的摘要说明。
      /// </summary>
      public partial class WebForm1 : System.Web.UI.Page
      {
  
          protected void Page_Load(object sender, System.EventArgs e)
          {
              // 在此处放置用户代码以初始化页面
          }
  
  
          //单击登录按钮 
          protected void btnSubmit_Click(object sender, System.EventArgs e)
          {
              if (Page.【IsValid】)
              {
                  string strConn = "【server】=(local);uid=sa;pwd=123;【database】=demo";
                  SqlConnection conn = new SqlConnection(【strConn】);
                  string sql;
                  //根据用户输入的用户名与口令动态组合成一个查询
                  sql = "select count(*) from Users 【where】 UserName='" + txtUserName +
                        "' 【and】 Password='" + txtPwd + "'";
  
                  SqlCommand cmd = new SqlCommand(sql, 【conn】);
                  conn.【Open】();
                  int ret = (int)cmd.【ExecuteScalar】(); //ret 查询返回的记录条数
                  conn.Close();
                  if (【ret】 <= 0)  //如果没有返回记录     
                  {
                      Response.Write("<script>【alert】(\"登录失败!用户名或密码错误!\")</script>");
                  }
                  else
                  {
                      Response.【Write】("<script>alert(\"登录成功!\")</script>");
                  }
              }
  
          }
  
      }
  
  }
  

--答案--
   IsValid   database   ExecuteScalar   where   alert   server   strConn   Write